summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authoroli2015-06-12 21:57:03 +0200
committeroli2015-06-12 21:57:03 +0200
commit3180e09ecc21bde43b74344a6256892f29e76bc9 (patch)
tree70fcbed0f2f38c408d171f224410be1a6c840eef
downloadaur-3180e09ecc21bde43b74344a6256892f29e76bc9.tar.gz
Initial import
-rw-r--r--.SRCINFO26
-rw-r--r--PKGBUILD41
-rw-r--r--hedgewars.desktop8
-rw-r--r--hedgewars.pngbin0 -> 7329 bytes
4 files changed, 75 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..320abcfe0fc
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,26 @@
+pkgbase = hedgewars-hg
+ pkgdesc = Free Worms-like turn based strategy game (development version - mercurial)
+ pkgver = 1
+ pkgrel = 1
+ url = http://hedgewars.org
+ arch = i686
+ arch = x86_64
+ license = GPL
+ license = custom
+ makedepends = fpc
+ makedepends = cmake
+ makedepends = mercurial
+ depends = qt
+ depends = sdl_mixer
+ depends = sdl_image
+ depends = sdl_net
+ depends = sdl_ttf
+ depends = lua
+ conflicts = hedgewars
+ source = hedgewars.desktop
+ source = hedgewars.png
+ md5sums = 48c66a3204d4fa0a69e9aa46f7c31e0c
+ md5sums = eeb14d50df39063549ac5eca9dbc65d1
+
+pkgname = hedgewars-hg
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..7944b0e4678
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,41 @@
+# Maintainer: Jozef Riha <jose1711 at gmail dot com>
+
+pkgname=hedgewars-hg
+pkgver=1
+pkgrel=1
+pkgdesc="Free Worms-like turn based strategy game (development version - mercurial)"
+arch=('i686' 'x86_64')
+url="http://hedgewars.org"
+license=('GPL' 'custom')
+depends=('qt' 'sdl_mixer' 'sdl_image' 'sdl_net' 'sdl_ttf' 'lua')
+makedepends=('fpc' 'cmake' 'mercurial')
+source=(hedgewars.desktop \
+ hedgewars.png)
+md5sums=('48c66a3204d4fa0a69e9aa46f7c31e0c'
+ 'eeb14d50df39063549ac5eca9dbc65d1')
+conflicts=('hedgewars')
+
+_hgtrunk="https://hedgewars.googlecode.com/hg/"
+_hgmod="hedgewars"
+
+build() {
+ cd $srcdir
+
+ # get the sources
+ msg "Connecting to $_hgtrunk ..."
+ if [ -d $_hgmod/.hg ]; then
+ (cd $_hgmod && hg pull -u) || return 1
+ else
+ hg clone $_hgtrunk $_hgmod || return 1
+ fi
+ msg "Mercurial clone done or server timeout"
+
+ install -D -m644 $srcdir/hedgewars.png $pkgdir/usr/share/pixmaps/hedgewars.png && \
+ install -D -m644 $srcdir/hedgewars.desktop $pkgdir/usr/share/applications/hedgewars.desktop || return 1
+
+ cd $srcdir/hedgewars
+ cmake -DCMAKE_INSTALL_PREFIX=/usr -DDATA_INSTALL_DIR=/usr/share -DQT_QMAKE_EXECUTABLE=/usr/bin/qmake -DQT_MOC_EXECUTABLE=/usr/bin/moc || return 1
+ make || return 1
+ make DESTDIR=$pkgdir install || return 1
+ install -D -m644 Fonts_LICENSE.txt $pkgdir/usr/share/licenses/$pkgname/Fonts_LICENSE.txt || return 1
+}
diff --git a/hedgewars.desktop b/hedgewars.desktop
new file mode 100644
index 00000000000..9d74ed3f132
--- /dev/null
+++ b/hedgewars.desktop
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Type=Application
+Name=Hedgewars
+GenericName=Platform Game
+Comment=Worms style game
+Exec=hedgewars
+Icon=hedgewars
+Categories=Game;ArcadeGame; \ No newline at end of file
diff --git a/hedgewars.png b/hedgewars.png
new file mode 100644
index 00000000000..60ae66199b0
--- /dev/null
+++ b/hedgewars.png
Binary files differ